package com.ruoyi.common.utils;

import java.util.HashMap;
import java.util.Map;

public class SubjectUtils {

    private static Map<String, Long> subjectIdMap = new HashMap<String, Long>();
    static {
        subjectIdMap.put("语文", 1L);     
        subjectIdMap.put("数学", 2L);     
        subjectIdMap.put("英语", 3L);     
        subjectIdMap.put("历史", 4L);     
        subjectIdMap.put("地理", 5L);     
        subjectIdMap.put("政治", 6L);     
        subjectIdMap.put("生物", 7L);     
        subjectIdMap.put("物理", 8L);     
        subjectIdMap.put("化学", 9L);
        // subjectIdMap.put("科学", 10L); // 不知道为什么注释，php的注释了
        subjectIdMap.put("道德与法治", 11L);
    }
    
    public static Long getId(String subjectName) {
        return subjectIdMap.get(subjectName);
    }
    
    public static String getName(Long subjectId) {
        for (String key : subjectIdMap.keySet()) {
            if (subjectIdMap.get(key).equals(subjectId)) {
                return key;
            }
        }
        return null;
    }
    
    /**
     * 是否是语文
     * @param subjectId
     * @return
     */
    public static boolean isChinese(Long subjectId) {
        return subjectId != null && subjectId == 1;
    }
    
    /**
     * 是否是英语
     * @param subjectId
     * @return
     */
    public static boolean isEnglish(Long subjectId) {
        return subjectId != null && subjectId == 3;
    }
    
    
}
